#include "Test.h"

// string.h
DEFINE_TEST(memset);
DEFINE_TEST(memcpy);
DEFINE_TEST(memchr);
DEFINE_TEST(memcmp);
DEFINE_TEST(memmove);
DEFINE_TEST(strlen);
DEFINE_TEST(strnlen);
DEFINE_TEST(strcspn);
DEFINE_TEST(strspn);
DEFINE_TEST(strchr);
DEFINE_TEST(strchrnul);
DEFINE_TEST(strrchr);
DEFINE_TEST(strpbrk);
DEFINE_TEST(strdup);
DEFINE_TEST(strndup);

// stdlib.h
DEFINE_TEST(atoi);
DEFINE_TEST(atol);
DEFINE_TEST(atoll);
DEFINE_TEST(srand);
DEFINE_TEST(malloc);
DEFINE_TEST(calloc);
DEFINE_TEST(mktemp);

int main()
{
    START_TEST_CASE(string.h);
    RUN_TEST(memset);
    RUN_TEST(memcpy);
    RUN_TEST(memchr);
    RUN_TEST(memcmp);
    RUN_TEST(memmove);
    RUN_TEST(strlen);
    RUN_TEST(strnlen);
    RUN_TEST(strcspn);
    RUN_TEST(strspn);
    RUN_TEST(strchr);
    RUN_TEST(strchrnul);
    RUN_TEST(strrchr);
    RUN_TEST(strpbrk);
    RUN_TEST(strdup);
    RUN_TEST(strndup);

    START_TEST_CASE(stdlib.h);
    RUN_TEST(atoi);
    RUN_TEST(atol);
    RUN_TEST(atoll);
    RUN_TEST(srand);
    RUN_TEST(malloc);
    RUN_TEST(calloc);
    RUN_TEST(mktemp);
}